Record a sales follow-up step
curl --request POST \
--url https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactUserId": "<string>",
"note": "<string>",
"nextAction": "<string>",
"followUpOn": "2023-12-25",
"assignToMe": false
}
'import requests
url = "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions"
payload = {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactUserId": "<string>",
"note": "<string>",
"nextAction": "<string>",
"followUpOn": "2023-12-25",
"assignToMe": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactUserId: '<string>',
note: '<string>',
nextAction: '<string>',
followUpOn: '2023-12-25',
assignToMe: false
})
};
fetch('https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contactUserId' => '<string>',
'note' => '<string>',
'nextAction' => '<string>',
'followUpOn' => '2023-12-25',
'assignToMe' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions"
payload := strings.NewReader("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactUserId\": \"<string>\",\n \"note\": \"<string>\",\n \"nextAction\": \"<string>\",\n \"followUpOn\": \"2023-12-25\",\n \"assignToMe\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactUserId\": \"<string>\",\n \"note\": \"<string>\",\n \"nextAction\": \"<string>\",\n \"followUpOn\": \"2023-12-25\",\n \"assignToMe\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactUserId\": \"<string>\",\n \"note\": \"<string>\",\n \"nextAction\": \"<string>\",\n \"followUpOn\": \"2023-12-25\",\n \"assignToMe\": false\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"actionId": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Admin
Record a sales follow-up step
Platform-admin-only. Appends what happened (reviewed, contacted, reply, meeting, note, closed, dismissed or reopened) and sets the next action, owner and UTC follow-up date in one idempotent request. Never sends a message, changes the organization or writes to its audit log.
POST
/
v1
/
admin
/
opportunities
/
accounts
/
{organizationId}
/
actions
Record a sales follow-up step
curl --request POST \
--url https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactUserId": "<string>",
"note": "<string>",
"nextAction": "<string>",
"followUpOn": "2023-12-25",
"assignToMe": false
}
'import requests
url = "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions"
payload = {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactUserId": "<string>",
"note": "<string>",
"nextAction": "<string>",
"followUpOn": "2023-12-25",
"assignToMe": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactUserId: '<string>',
note: '<string>',
nextAction: '<string>',
followUpOn: '2023-12-25',
assignToMe: false
})
};
fetch('https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contactUserId' => '<string>',
'note' => '<string>',
'nextAction' => '<string>',
'followUpOn' => '2023-12-25',
'assignToMe' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions"
payload := strings.NewReader("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactUserId\": \"<string>\",\n \"note\": \"<string>\",\n \"nextAction\": \"<string>\",\n \"followUpOn\": \"2023-12-25\",\n \"assignToMe\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactUserId\": \"<string>\",\n \"note\": \"<string>\",\n \"nextAction\": \"<string>\",\n \"followUpOn\": \"2023-12-25\",\n \"assignToMe\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}/actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactUserId\": \"<string>\",\n \"note\": \"<string>\",\n \"nextAction\": \"<string>\",\n \"followUpOn\": \"2023-12-25\",\n \"assignToMe\": false\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"actionId": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
denApiKeybearerAuth
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
reviewed, contacted, replied, meeting, note, closed, dismissed, reopened Maximum string length:
64Maximum string length:
500Maximum string length:
240UTC calendar date (YYYY-MM-DD) of the next follow-up. Null clears it.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Available options:
expansion, commercial Was this page helpful?